%define name sqlgui
%define version 0.5.1
%define release 6mdk
%define qtdir /usr/lib/qt3

Summary: 	SqlGui is a graphical database-frontend for KDE.
Name: 		%name
Version: 	%version
Release: 	%release
License:	BSD
URL:		http://www.sqlgui.org/
Group: 		Databases
Source: 	%{name}-%{version}.tar.bz2
Source1:	%{name}.16.png
Source2:	%{name}.32.png
Source3:	%{name}.48.png
Patch0:		%{name}-namespace.patch.bz2
Buildroot: 	%{_tmppath}/%{name}-buildroot
# yes, it really need this:
Requires:	sqlguipart-devel
Requires:	sqlgui-lib
BuildRequires: sqlguipart-devel
BuildRequires: XFree86-devel
BuildRequires: arts
BuildRequires: libjpeg-devel libfam-devel libart_lgpl-devel
BuildRequires: libpng-devel
BuildRequires: libqt3-devel kdelibs-devel

%description
SqlGui is a graphical database-frontend for KDE.
Currently MySQL and PostgrSQL are supported.
SqlGui was developed, because of the need of having a
database-frontend, which was able to display table-contents,
create and delete databases and tables and also send individual 
sql-queries to the database-server.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --with-qt-dir=%{qtdir} --libdir=%{_libdir}
%make

%install
%makeinstall
# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Applications/Databases" \
title="Sqlgui" \
longtitle="Sqlgui" \
command="%{_bindir}/sqlgui" needs="X11" \
icon="%{name}.png"
EOF

mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir},%{_iconsdir}}
cp %{SOURCE1}  $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cp %{SOURCE2}  $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3}  $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %name

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,0755)
%doc README COPYING TODO INSTALL ChangeLog AUTHORS
#%doc doc
%_bindir/*
%doc %{_datadir}/doc/*
%{_datadir}/applnk/*
%{_datadir}/apps/*
%{_menudir}/%{name}
# This next contains menu icons
# and others
%{_datadir}/icons/*

%changelog
* Thu Jul 22 2004 Michael Scherer <misc@mandrake.org> 0.5.1-6mdk 
- rebuild for new gcc

* Fri May 14 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-5mdk
- Birthday rebuild

* Sun Apr 27 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-4mdk
- Buildrequires (stefan spam :)

* Tue Mar 11 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-3mdk
- need sqlguipart-devel

* Mon Mar 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-2mdk
- rebuild

* Fri Mar 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-1mdk
- 0.5.1

* Fri Mar 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.0-3mdk
- Requires: sqlgui-lib

* Tue Mar 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.0-2mdk
- introduce in contrib from club
- big clean up

* Thu Oct 22 2002 Torbjorn Turpeinen <tobbe@nyvalls.se>
- compiled for Mandrake9.0
- Added Mandrake menus
